/*
 * Copyright 2019 Regents of the University of Minnesota.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.umn.nlpie.mtap.processing;

import edu.umn.nlpie.mtap.Internal;
import org.jetbrains.annotations.NotNull;

import java.time.Duration;
import java.util.Map;

@Internal
public interface ProcessorContext extends AutoCloseable {
  void putTime(@NotNull String key, @NotNull Duration duration);

  @NotNull Map<String, Duration> getTimes();

  @Override
  void close();
}
